Subject: bug#8911: bs-cycle-next deletes window in some cases.

From: Stefan Monnier <[email-masked]>
Date: Wed, 22 Jun 2011 16:11:35 -0400

>> Sorry, you're right.  The right thing to do here is to signal an error,
>> not to split the window.
> That's what it did until 22.3; it displayed "Cannot switch buffers in
> a dedicated window".

I know, I'm to blame for the change in Emacs-23, where I made
switch-to-buffer fallback to pop-up-buffer when used in a dedicated
window.  I'll gladly admit that this fallback is wrong, but it's the
sanest way I've found to deal with the wealth of packages calling
switch-to-buffer because the author didn't know better.

        Stefan